extends Label

const MouseButtonScene := preload("res://MouseButton.tscn")
const BUTTONS := {
	MOUSE_BUTTON_LEFT: "LeftMouseButton",
	MOUSE_BUTTON_RIGHT: "RightMouseButton",
	MOUSE_BUTTON_MIDDLE: "MiddleMouseButon",
	MOUSE_BUTTON_WHEEL_UP: "WheelUp",
	MOUSE_BUTTON_WHEEL_DOWN: "WheelDown"
}
const TIME := 0.75

var time := 0.0


func _input(event: InputEvent) -> void:
	if event is InputEventMouseButton and event.pressed:
		modulate = Color.WHITE
		text = str(BUTTONS.get(event.button_index, ""), " x2" if event.double_click else "")
		time = 0.0
		if text:
			var mouse_button: AnimatedSprite2D = MouseButtonScene.instantiate()
			mouse_button.position = get_global_mouse_position()
			mouse_button.frame = event.button_index
			get_parent().add_child(mouse_button)
			


func _process(delta: float) -> void:
	time += delta
	var a := cos(0.5 * PI * min(time, TIME) / TIME)
	modulate = Color(1, 1, 1, a * a)
