extends VBoxContainer


func _ready() -> void:
	for child in get_children():
		if child is ScrollBar:
			setup_scroll_bar(child)


func setup_scroll_bar(scroll_bar: ScrollBar) -> void:
	var label: Label = get_node(str("Label", str(scroll_bar.name)[-1]))
	var _ignore := scroll_bar.value_changed.connect(label.on_value_changed.bind(scroll_bar))
	scroll_bar.value = (scroll_bar.min_value + scroll_bar.max_value) / 2


func _input(event: InputEvent) -> void:
	if event.is_action_pressed("ui_cancel"):
		get_tree().quit()
